Get Versioning Key for a Resource
API recipe: fetch the versioning key for a resource in an environment.
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
API Endpoint
Any versioned resources will have a versioningKey that is uniquely associated with that resource.
This API processes a GET request to fetch the details for a given environment, resource type and resource name.
https://{YOUR_CP_URL}/cc-ui/v1/artifacts/cluster/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}- This API endpoint has three path parameters,
clusterID,resourceTypeandresourceName.
Path parameters
clusterIdof typeStringis the unique ID for the environment where you want to perform a rollback. You can find this ID in the Environment Overview screen in Facets UI.resourceTypeof typeStringis the defined type of resource. This should be the same as it is defined in your blueprint.resourceNameof typeStringis the name of the resource.
Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.